Bug 922230 (CVE-2013-1865)

Summary: CVE-2013-1865 OpenStack keystone: online validation of Keystone PKI tokens bypasses revocation check
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, aortega, apevec, apevec, ayoung, bfilippov, breu, chrisw, cpelland, dallan, d.busby, gkotton, Jan.van.Eldik, jlieskov, jonathansteffan, jose.castro.leon, jrusnack, kseifried, markmc, p, rbryant, rhos-maint, security-response-team, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130320,reported=20130315,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:N/I:P/A:N,openstack-2.1/openstack-keystone=affected,fedora-17/openstack-keystone=notaffected,fedora-18/openstack-keystone=affected,epel-6/openstack-keystone=affected,cwe=CWE-285
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-04 16:47:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 922240, 923869, 928406    
Bug Blocks: 909025    
Attachments:
Description Flags
folsom-CVE-2013-1865.patch none

Description Kurt Seifried 2013-03-15 15:54:53 EDT
Thierry Carrez (thierry@openstack.org) reports:

Title: Online validation of Keystone PKI tokens bypasses revocation check
Reporter: Guang Yee (HP)
Products: Keystone
Affects: Folsom

Description:
Guang Yee from HP reported a vulnerability in the revocation check for
Keystone PKI tokens. Those tokens are supposed to be validated locally
using cryptographic checks, but the user also has the option of asking
the server to validate them. In that case, the online verification of
PKI tokens would bypass the revocation check, potentially affirming
revocated tokens are still valid. Only setups making use of online
verification of PKI tokens are affected.

Proposed patches:
See attached patch. Unless a flaw is discovered in it, this patch will
be merged to Keystone stable/folsom branch on the public disclosure date.
Comment 2 Kurt Seifried 2013-03-15 16:08:40 EDT
Created attachment 710828 [details]
folsom-CVE-2013-1865.patch
Comment 4 Jan Lieskovsky 2013-03-20 11:46:30 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/03/20/13
Comment 5 Jan Lieskovsky 2013-03-20 12:03:07 EDT
This issue did NOT affect the version of the openstack-keystone package, as shipped with Fedora release of 17:
  https://review.openstack.org/#/c/24906/

--

This issue affects the version of the openstack-keystone package, as shipped with Fedora release of 18. Please schedule an update.

--

This issue did NOT affect the version of the openstack-keystone package, as shipped with Fedora EPEL 6 (the openstack-keystone package for this product has been already updated to include the upstream change:
  https://launchpadlibrarian.net/131611658/validate-from-backend-grizzly-20130218.patch
Comment 6 Jan Lieskovsky 2013-03-20 12:04:12 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-18 [bug 923869]
Comment 8 Murray McAllister 2013-03-27 01:55:04 EDT
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this issue. Upstream acknowledges Guang Yee (HP) as the original reporter.
Comment 10 Jan Lieskovsky 2013-03-27 11:11:53 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 928406]
Comment 12 errata-xmlrpc 2013-04-04 16:23:07 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0708 https://rhn.redhat.com/errata/RHSA-2013-0708.html
Comment 13 Fedora Update System 2013-04-08 18:51:56 EDT
openstack-keystone-2012.2.3-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.